metadata_fields_to_enrich:
  {{ search_index_metadata_optimization_config_metadata_fields_to_enrich }}

sidre:
  api_url: "http://localhost{{ search_index_backend_searchapi_root_path }}"
  index: "{{ elasticsearch_metadata_index_alias_name }}"
  batch_size: {{ search_index_metadata_optimization_config_sidre_batch_size }}
  pit_keep_alive: {{ search_index_metadata_optimization_config_sidre_pit_keep_alive }}

http:
  useragent: "{{ application_name }}-MetadataOptimizationBot/0.1 ({{ search_index_host }}, https://oersi.org/resources/services/contact) {{ application_name }}-MetadataOptimization/0.1"

llm:
  model: {{ search_index_metadata_optimization_config_llm_model }}
  context_size: {{ search_index_metadata_optimization_config_llm_context_size }}
  url: "{{ search_index_metadata_optimization_config_llm_url }}"
  prompt_template: {{ search_index_metadata_optimization_config_llm_prompt_template }}
  timeout: {{ search_index_metadata_optimization_config_llm_timeout }}
  max_retries: {{ search_index_metadata_optimization_config_llm_max_retries }}

whisper:
  model: {{ search_index_metadata_optimization_config_whisper_model }}
  device: {{ search_index_metadata_optimization_config_whisper_device }}
  compute_type: {{ search_index_metadata_optimization_config_whisper_compute_type }}

transcriber:
  delete_file_after_processing: {{ search_index_metadata_optimization_config_transcriber_delete_file_after_processing }}
  recode_unsupported_file_formats: {{ search_index_metadata_optimization_config_transcriber_recode_unsupported_file_formats }}

cache:
  cache_expiration_time_in_ms: {{ search_index_metadata_optimization_config_cache_expiration_time_in_ms }}

sidre_update:
  api_endpoint_url: "{{ search_index_backend_internal_api_base_url }}"
  api_user: {{ search_index_backend_api_metadata_manager_user }}
  api_password: {{ search_index_backend_api_metadata_manager_password }}

testing:
  enabled: {{ search_index_metadata_optimization_config_testing_mode_enabled }}
  options: {{ search_index_metadata_optimization_config_testing_mode_options | to_yaml }}

{% if search_index_metadata_optimization_config_sidre_filters is defined and search_index_metadata_optimization_config_sidre_filters is not none %}
elasticsearch_filters: {{ search_index_metadata_optimization_config_sidre_filters | to_yaml }}
{% endif %}
